// 重置
@import '@mcui/reset';
// 基础
@import '@mcui/base';

// 主题
@import './demo/mcui@theme-bkGreen';
@import './demo/mc-btn@theme=001';

@import '../../lib/theme/mc-toast@theme=aa.scss';
@import '../../lib/theme/mc-toast@theme=ab.scss';
@import '../../lib/theme/mc-toast@theme=ac.scss';
@import '../../lib/theme/mc-toast@theme=ad.scss';

html {
  // 移动端
  @media screen and (max-width: 600px) {
    & {
      font-size: 11px;
      color: #111;
      padding-top: 50px;
    }

    &:before {
      content: '';
      display: block;
      width: 100%;
      height: 100%;
      position: fixed;
      left: 0;
      top: 0;
      background: #fff;
      z-index: -100;
    }
  }
  // 桌面端
  @media screen and (min-width: 601px) {
    & {
      font-size: 14px;
      color: #333;
      -webkit-font-smoothing: antialiased;
      -moz-osx-font-smoothing: grayscale;
      padding-top: 70px;
    }
  }
}

// 颜色
.co-main {
  color: #29a55b;
}

.co-vice {
  color: #6cd224;
}

.co-back {
  color: #999;
}

.co-warn {
  color: #ff7700;
}

.co-file {
  color: #d05;
}

.co-link {
  color: #29a55b;
}

.mc-file {
  font-family: Consolas, monospace, serif;
  color: #d05;
  white-space: nowrap;
}

// 楼层
.floor {
  padding: 3rem 0;

  &:nth-child(odd) {
    background: #f5f5f5;
  }
}

// 楼层标题
.floor-title {
  font-weight: 300;
  color: #111;
  text-align: center;
  margin-bottom: 1rem;

  & > * {
    &:before,
    &:after {
      content: '';
      display: inline-block;
      vertical-align: middle;
      width: 3em;
      height: 1px;
      background: #222;
      margin: 0 0.5em;
    }
  }

  // 移动
  @media screen and (max-width: 600px) {
    & {
      font-size: 16px;
    }
  }
  // 桌面端
  @media screen and (min-width: 601px) {
    & {
      font-size: 24px;
    }
  }
}

// 楼层说明
.floor-notes {
  text-align: center;
  margin: 1rem 0 3rem 0;
  color: #777;
}

// 按钮
.btn {
  height: 2.5rem;
  margin: 0.5rem 0 0.5rem 0;
  border-radius: 3px;
  background: #fff;
  border: 1px solid #dfdfdf;
  padding: 0 0.5em;
}

/*表格*/
.mc-table {
  & {
    width: 100%;
    background: #fff;
    border: 1px solid #dfdfdf;
    text-align: left;
  }

  & th:nth-child(1),
  & th:nth-child(2),
  & th:nth-child(3) {
    white-space: nowrap;
  }

  th,
  td {
    border: 1px solid #ddd;
    padding: 15px 5px;
    font-weight: normal;
  }

  // 移动
  @media screen and (max-width: 600px) {
    & {
    }
  }
  // 桌面端
  @media screen and (min-width: 601px) {
    & {
      th,
      td {
        padding: 15px 10px;
      }
    }
  }
}

.box {
  position: relative;
  width: 100%;
  max-width: 1190px;
  margin: 0 auto;
  padding: 0 10px;
  @extend .cb;
}

/*头部*/
#header {
  // 移动
  @media screen and (max-width: 600px) {
    & {
      position: fixed;
      width: 100%;
      height: 50px;
      line-height: 50px;
      background: #fff;
      border-bottom: 1px solid #dfdfdf;
      left: 0;
      top: 0;
      z-index: 5;

      // 头部标志
      #header-logo {
        float: left;
        font-size: 16px;

        // 版本号
        #header-version {
          font-size: 0.7em;
          padding-left: 0.5em;
        }
      }

      // 头部导航
      #header-nav {
        float: right;
      }
    }
  }
  // 桌面端
  @media screen and (min-width: 601px) {
    & {
      position: fixed;
      width: 100%;
      height: 70px;
      line-height: 70px;
      background: #fff;
      border-bottom: 1px solid #dfdfdf;
      left: 0;
      top: 0;
      z-index: 5;

      // 头部标志
      #header-logo {
        float: left;
        font-size: 18px;

        // 版本号
        #header-version {
          font-size: 0.7em;
          padding-left: 0.5em;
        }
      }

      // 头部导航
      #header-nav {
        float: right;
      }
    }
  }
}

/*焦点图*/
@import './demo/bg-banner';
#banner {
  // 标题
  .banner-title {
    font-weight: 300;
    font-size: 32px;
    margin-bottom: 1rem;
  }

  // 信息
  .banner-info {
    color: #ccc;
  }

  // 按钮
  .banner-btn {
    margin-top: 2rem;
    white-space: nowrap;
    position: relative;
    border-radius: 2px;
    text-align: center;
    padding: 0.5em 1em;
    user-select: none;
    border: 1px solid transparent;
    background: #3cbd70;
    transition: all 0.1s;

    &:active {
      transform: scale3d(0.98, 0.95, 1);
    }
  }

  // 移动
  @media screen and (max-width: 600px) {
    & {
      width: 100%;
      height: 180px;
    }

    .banner-title {
      margin-bottom: 0.5rem;
      font-size: 24px;
    }

    .banner-btn {
      margin-top: 1rem;
    }
  }
  // 桌面端
  @media screen and (min-width: 601px) {
    & {
      width: 100%;
      height: 330px;
    }

    .banner-title {
      margin-bottom: 0.5rem;
      font-size: 26px;
    }

    .banner-btn {
      margin-top: 1rem;
      font-size: 12px;
    }
  }
}

/*导航*/
@import './demo/mc-nav';

/*介绍*/
#about-items {
  // 公共
  width: 100%;
  @extend .cb;

  & > * {
    text-align: center;
    margin-bottom: 2rem;

    .about-item-design {
      width: 8rem;
      height: 8rem;
      line-height: 7.9rem;
      border: 1px solid #222;
      display: inline-block;
      border-radius: 50%;
      font-size: 24px;
      font-weight: 300;
    }

    .about-item-content {
    }
  }

  // 移动
  @media screen and (max-width: 600px) {
    & > * {
      width: 100%;
      background: #fff;
      padding: 2rem;

      .about-item-title {
        font-size: 14px;
        margin: 0.5rem 0;
      }
    }
  }
  // 桌面端
  @media screen and (min-width: 601px) {
    & > * {
      width: 33.333333%;
      float: left;
      padding: 2rem 3rem;

      .about-item-title {
        font-size: 18px;
        margin: 0.5rem 0;
      }
    }
  }
}

/*主题*/
#theme {
  .theme-item {
    text-align: center;
    padding: 2em 0;
  }
}

/*赞助*/
#sponsored {
  text-align: center;

  #alipay {
    width: 100%;
    max-width: 260px;
    border: 5px solid rgba(0, 0, 0, 0.05);
    border-radius: 6px;
  }
}

/*底部*/
#footer {
  padding: 2rem 0;
  text-align: center;
  border-top: 1px solid #dfdfdf;

  .footer-desc {
    margin-bottom: 0.5em;
  }
}
